using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CD67.FicheCollege.Entity
{
    /// <summary>
    /// Classe d'extension de celle d'Entity, nécessaire pour y associer les Metadata
    /// </summary>
    [MetadataType(typeof(RestaurationParametre_Metadata))]
    public partial class RestaurationParametre
    {
    }

    /// <summary>
    /// Classe contenant les DataAnnotations pour chaque champ
    /// </summary>
    public class RestaurationParametre_Metadata
    {
        [Required(ErrorMessage = "Obligatoire")]
        public int Id { get; set; }
        [Required(ErrorMessage = "Obligatoire")]
        [Display(Name = "Année scolaire")]
        public string Annee_Id { get; set; }
        [Required(ErrorMessage = "Obligatoire")]
        [Display(Name = "Ouverture de la campagne de saisie")]
        public bool? Campagne { get; set; }
        [Display(Name = "Prix unitaire minimum")]
        public Nullable<decimal> Prix_Mini { get; set; }
        [Display(Name = "Prix ticket ATC")]
        public Nullable<decimal> Prix_ATC { get; set; }
        [Display(Name = "Prix ticket agent de catégorie C et assimilés")]
        public Nullable<decimal> Prix_AgentC { get; set; }
        [Display(Name = "Prix ticket autres commensaux")]
        public Nullable<decimal> Prix_MiniAutres { get; set; }

        [Display(Name = "Types de repas")]
        public virtual ICollection<RestaurationTypeRepa> RestaurationTypeRepas { get; set; }
    }
}